.action-a {
    text-decoration: none;
    color: #000;
}

.action-a.disabled {
    color: gray;
    pointer-events: none;
}

.time-selector {
    width: 165px;
    display: inline-block
}

.rd-day-body {
    padding: 6px;
}

.rd-container {
    z-index: 9999;
}

.rd-day-selected {
    background-color: #666;
}

.fixed-w-input-group-text {
    width: 10rem;
    font-size: 0.9rem;
}

.form-h5 {
    margin-top: 2rem !important;
    margin-bottom: 0rem !important;
}

.form-hr {
    margin-top: 0.25rem !important;
    margin-bottom: 0.75rem !important;
}

.graphic-red-circle {
    height: 20px;
    width: 20px;
}

.filter-box-2r {
    min-width: 140px;
    max-width: 170px;
    display: inline-grid;
}

.filter-box-2r .form-label {
    font-size: 0.8rem;
}

.filter-box-2r:not(:first-child) {
    margin-left: 1rem;
}

.filter-box-2r .filter-input {
    text-indent: 2px;
    border: 1px solid #ced4da;
}

.nav-pills-gray .nav-link {
    color: #222;
    min-width: 120px !important;
}

.nav-pills-gray .nav-link.active {
    background-color: #666;
    color: #EEE;
}

.row-highlight {
    background-color: #b3d097;
}

.page-item.active .page-link {
    background-color: #666;
    border-color: #666;
}

.page-link {
    color: #444444;
}

.fixed-height-node-data-table {
    overflow-y: auto;
    height: calc(100vh - 730px);
}

.overlay {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: fixed;
    background: #222;
    z-index: 999;
    opacity: 0.5;
}

.overlay__inner {
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    position: absolute;
}

.overlay__content {
    left: 50%;
    position: absolute;
    top: 50%;
    transform: translate(-50%, -50%);
}

.spinner {
    width: 75px;
    height: 75px;
    display: inline-block;
    border-width: 2px;
    border-color: rgba(255, 255, 255, 0.05);
    border-top-color: #fff;
    animation: spin 1s infinite linear;
    border-radius: 100%;
    border-style: solid;
}

@keyframes spin {
    100% {
        transform: rotate(360deg);
    }
}

.alert-holder {
    position: fixed;
    z-index: 999;
    top: 0;
    width: 100%;
    height: auto;
}

.alert-holder .bg {
    background-color: #FFF;
    opacity: 0.9;
    width: 100%;
    height: 100%;
    position: absolute;
}

.alert-holder .alert {
    margin-top: 1rem;
}